getPetList(data: GetPetList)

Requires:
@ray-js/ray≥1.6.27

Description

Get pet list

Parameters

ParameterTypeRequiredDescription
YesRequest parameters: ownerId (home ID); bizTypes (optional, internally fixed to pet center business)

Return Value

Type: Promise<GetPetListResult>
Promise; resolves to the list of pets under the current home (GetPetListResult)

Referenced Types

typeGetPetListResult
Pet[]

Examples

Request example

import { getPetList } from '@ray-js/ray';

getPetList({
  ownerId: 'xxxx',
  bizTypes: [2],
});

Response example

[
  {
    "id": 1,
    "ownerId": "xxxx",
    "petType": "cat",
    "name": "Fubao",
    "avatar": "smart/xxxx/xxxx/xxxx",
    "avatarDisplay": "https://xxx/xxx",
    "sex": 1,
    "activeness": 1,
    "birth": 1614528000000,
    "weight": 5000,
    "breedCode": "xxx",
    "breedName": "Chinchilla",
    "rfid": "xxxxx",
    "extInfo": "",
    "bindFood": false,
    "gmtCreate": 1740792022716,
    "gmtModified": 1741785184589
  }
]